package com.example.youtube_videos.fragment;

import com.example.youtube_videos.R;
import com.example.youtube_videos.R.string;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.support.v4.app.DialogFragment;

// since fragments, dialgs should be used via DialogFragments
public class AlertDialogFragment extends DialogFragment {
	
	public static final String EXTRA_MESSAGE = "extra-message";
	
	private AlertDialogFragment() {
		super();
	}
	
	public static AlertDialogFragment newInstance(String message) {
		AlertDialogFragment fragment = new AlertDialogFragment();
		Bundle args = new Bundle();
		args.putString(EXTRA_MESSAGE, message);
		fragment.setArguments(args);
		return fragment;
	}

	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		String user = getArguments().getString(EXTRA_MESSAGE);
		
		// use builder to build basic dialogs
		AlertDialog.Builder builder = new AlertDialog.Builder(getActivity());
		builder.setTitle(R.string.title_dialog);
		builder.setMessage(user);
		builder.setPositiveButton("OK", new DialogInterface.OnClickListener() {
			public void onClick(DialogInterface dialog, int which) {
				dismiss(); // close the dialog
			}
		});
		
		return builder.create();
	}

	
}
